body{
    background-image: url(../../images/engine.jpg);
    background-size: cover;
    background-attachment: fixed;
    background-position: center;
    display: flex;
    justify-content: center;/*centers the form horizontally */
    align-items: center;/*centers the form vertically*/
    height: 100vh;/*makes the body take the full height of the viewport*/
    margin:0;
    font-family: Arial, Helvetica, sans-serif;
    box-sizing: border-box;
}
body::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.3);
    z-index: -1;
}
/*=============signup_Form Styling=============*/
form{
    background-color: rgba(255, 255, 255, 0.3);/*white with sometransparency*/
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 30%;
}
form h1{
    color: white;
    margin-bottom: 20px;
}
form h4{
    color: white;
    margin-bottom: 20px;
}
form h4 a{
    color: #031155;
    text-decoration: none;
}
form h4 a:hover{
    text-decoration: underline;
}
form input{
    margin: 10px 30px;
    padding: 10px;
    border: none;
    border-radius: 10px;
    width: 100%;
    max-width: 300px;
    box-sizing: border-box;
    font-size: 16px;
    outline: none;
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
}
form select{
    margin: 10px 30px;
    padding: 10px;
    border: none;
    border-radius: 10px;
    width: 100%;
    max-width: 300px;
    box-sizing: border-box;
    font-size: 16px;
    outline: none;
    background-color: rgba(0, 0, 0, 0.6);
    color: white;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-image: url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%204%205%22%3E%3Cpath%20fill%3D%22none%22%20stroke%3D%22white%22%20stroke-width%3D%221.5%22%20d%3D%22M0%200l2%202l2-2zM0%205l2-2l2%202z%22%2F%3E%3C%2Fsvg%3E');
    background-repeat: no-repeat;
    background-position: right 10px center;
    background-size: 10px;
    cursor: pointer;
}
form .checkbox-container{
    background-color: white;
    display: flex;
    justify-content: center;
    margin: 10px 0;
    color: white;
    font-size: 14px;
    width: 100%;
    max-width: 300px;
    padding: 10px;
    border-radius: 10px;
    box-sizing: border-box;
    align-items: center;
}
form .checkbox-container input[type="checkbox"]{
    margin-right: 10px;
    width: 16px;
    height: 16px;
    cursor: pointer;
    /* accent-color: #14252c; */
}
form .checkbox-container a{
    color: #586fe1;
    text-decoration: none;
    margin-left: 5px;
}
form .checkbox-container a:hover{
    text-decoration: underline;
}
form button{
    margin: 20px 0;
    padding: 10px 20px;
    border: none;
    border-radius: 10px;
    background-color: #14252c;
    color: white;
    font-size: 16px;
    cursor: pointer;
    transition: transform 0.5s ease, background-color 0.5s ease;
}
form button:hover{
    background-color:#14252ce0;
    transform: scale(1.1);
}
/*=============Login_Form Styling=============*/
form .forgotten_pw{
    color: #031155;
    font-weight: bold;
    text-decoration: none;
    background-color: white;
    border-radius: 10px;
    padding: 5px 10px;
}
form .forgotten_pw:hover{
    text-decoration: underline;
}
/*=============Form responsivness=============*/
@media (max-width: 639px){/*extra small devices Mobile (≤639px) if you use min-width 639px, that means ≥639px, 639px or more */
    form{
        width: 90%;
    }
}
@media (min-width: 640px){/*small devices Tablet and up (≥640px) if you use max-width 640px, that means <=640px, 640px or less */
    form{
        width: 80%;
    }
}
@media (min-width: 768px){/*medium devices Desktop and up (≥768px) if you use max-width 768px, that means <=768px, 768px or less */
    form{
        width: 60%;
    }
}
@media (min-width: 1024px){/*large devices Large Desktop and up (≥1024px) if you use max-width 1024px, that means <=1024px, 1024px or less */
    form{
        width: 40%;
    }
}
@media (min-width: 1280px){/*extra large devices Extra Large Desktop and up (≥1280px) if you use max-width 1280px, that means <=1280px, 1280px or less */
    form{
        width: 30%;
    }
}
/*=============End of Form Styling=============*/